#include <Wire.h>

#define NODE1_ADDRESS 8 // Dirección I2C del nodo 1 (Placa del ATmega)
#define NODE2_ADDRESS 9 // Dirección I2C del nodo 2 (Seeeduino)

void setup() {
  Serial.begin(9600); // Inicia la comunicación serial
  Wire.begin(); // Inicia la comunicación I2C como maestro
}

void loop() {
  // Espera a que se ingrese un comando desde el Serial Monitor
  if (Serial.available() > 0) {
    char command = Serial.read();
    Serial.print("Enviando comando: ");
    Serial.println(command);

    // Envía el comando al dispositivo correspondiente
    if (command == 'a' || command == 'A') {
      Wire.beginTransmission(NODE1_ADDRESS);
      Wire.write('a');
      Wire.endTransmission();
    } else if (command == 'b' || command == 'B') {
      Wire.beginTransmission(NODE2_ADDRESS);
      Wire.write('b');
      Wire.endTransmission();
    }

    // Espera la respuesta del dispositivo y muestra en el monitor serial
    delay(100); // Dar tiempo para que el esclavo procese el comando
    while (Wire.available()) {
      char response = Wire.read();
      Serial.print("Respuesta: ");
      Serial.println(response);
    }
  }
}
